> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Additional Documents

> Retrieve the list of required and optional documents type for creating a company-type sub-account based on the specified country. This endpoint is only applicable to company-type sub-accounts. Individual-type sub-accounts do not require this API.




## OpenAPI

````yaml /account-center/v1.6/connect.yaml get /v1/accounts/get_additional
openapi: 3.0.2
info:
  version: 0.0.1
  title: Connect
  description: These APIs are designed for management of connected accounts.
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox base URL.
  - url: https://api.uqpay.com/api
    description: Production base URL.
security: []
tags:
  - name: Account Center
    description: >-
      Create and manage sub-accounts under supported business lines (Acquiring,
      Banking, Issuing).
  - name: Accounts
    description: >-
      With Connect, you can create UQPAY accounts for your users. To do this,
      you'll first need to register your platform.
  - name: Request for Information (RFI)
    description: >-
      Retrieve and answer Requests for Information (RFI) raised against your
      account during onboarding or ongoing review.
paths:
  /v1/accounts/get_additional:
    get:
      tags:
        - Account Center
      summary: Get Additional Documents
      description: >
        Retrieve the list of required and optional documents type for creating a
        company-type sub-account based on the specified country. This endpoint
        is only applicable to company-type sub-accounts. Individual-type
        sub-accounts do not require this API.
      operationId: get-additional-documents
      parameters:
        - name: country
          in: query
          required: true
          schema:
            type: string
          description: >
            The ISO 3166-1 alpha-2 country code (e.g., "SG", "US").


            This value should match the `company_info.country_of_incorporation`
            field provided during [Create
            SubAccount](/account-center/v1.6/api-reference/create-sub-account).
        - name: business_code
          in: query
          required: true
          schema:
            type: string
            enum:
              - BANKING
              - ACQUIRING
          description: |
            Business type code.
      responses:
        '200':
          description: OK
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAdditionalResponse'
      security:
        - XAuthToken: []
components:
  headers:
    XResponseId:
      description: >-
        Universally unique identifier (UUID v4) for the response. Helpful for
        identifying a request when communicating with UQPAY support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    GetAdditionalResponse:
      type: array
      items:
        $ref: '#/components/schemas/AdditionalDocument'
    AdditionalDocument:
      type: object
      properties:
        profile_key:
          $ref: '#/components/schemas/ACCOUNTCENTER_ProfileKey'
        profile_name:
          $ref: '#/components/schemas/ACCOUNTCENTER_ProfileName'
        profile_option:
          $ref: '#/components/schemas/ACCOUNTCENTER_ProfileOption'
    ACCOUNTCENTER_ProfileKey:
      type: string
      description: Unique key representing the profile or document type.
      example: ARTICLES_OF_ASSOCIATION
    ACCOUNTCENTER_ProfileName:
      type: string
      description: Description of the file.
      example: Onboarding Test
    ACCOUNTCENTER_ProfileOption:
      type: integer
      enum:
        - 0
        - 1
      description: |
        Indicates whether the document is required:

        - 1: Required document (required_docs)
        - 0: Optional document (option_docs)
      example: 1
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: The API token for login provided by UQPay.

````